Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.impl.model
Class EscalationImpl

    java.lang.Object
      org.jbpm.services.task.impl.model.EscalationImpl

All Implemented Interfaces:
  Externalizable, Serializable, org.kie.internal.task.api.model.Escalation

    @Entity
    public class EscalationImpl

extends Object
implements org.kie.internal.task.api.model.Escalation

See Also:
  Serialized Form

Constructor Summary
`EscalationImpl()`

Method Summary
`boolean` | `equals(Object obj)`
`List<org.kie.internal.task.api.model.BooleanExpression>` | `getConstraints()`
`long` | `getId()`
`String` | `getName()`
`List<org.kie.internal.task.api.model.Notification>` | `getNotifications()`
`List<org.kie.internal.task.api.model.Reassignment>` | `getReassignments()`
`int` | `hashCode()`
`void` | `readExternal(ObjectInput in)`
`void` | `setConstraints(List<org.kie.internal.task.api.model.BooleanExpression> constraints)`
`void` | `setId(long id)`
`void` | `setName(String name)`
`void` | `setNotifications(List<org.kie.internal.task.api.model.Notification> notifications)`
`void` | `setReassignments(List<org.kie.internal.task.api.model.Reassignment> reassignments)`
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EscalationImpl

    public EscalationImpl()

Method Detail

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Throws:
    `IOException`

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Throws:
    `IOException`
    `ClassNotFoundException`

### getId

    public long getId()

  Specified by:
    `getId` in interface `org.kie.internal.task.api.model.Escalation`

### setId

    public void setId(long id)

  Specified by:
    `setId` in interface `org.kie.internal.task.api.model.Escalation`

### getName

    public String getName()

  Specified by:
    `getName` in interface `org.kie.internal.task.api.model.Escalation`

### setName

    public void setName(String name)

  Specified by:
    `setName` in interface `org.kie.internal.task.api.model.Escalation`

### getConstraints

    public List<org.kie.internal.task.api.model.BooleanExpression> getConstraints()

  Specified by:
    `getConstraints` in interface `org.kie.internal.task.api.model.Escalation`

### setConstraints

    public void setConstraints(List<org.kie.internal.task.api.model.BooleanExpression> constraints)

  Specified by:
    `setConstraints` in interface `org.kie.internal.task.api.model.Escalation`

### getNotifications

    public List<org.kie.internal.task.api.model.Notification> getNotifications()

  Specified by:
    `getNotifications` in interface `org.kie.internal.task.api.model.Escalation`

### setNotifications

    public void setNotifications(List<org.kie.internal.task.api.model.Notification> notifications)

  Specified by:
    `setNotifications` in interface `org.kie.internal.task.api.model.Escalation`

### getReassignments

    public List<org.kie.internal.task.api.model.Reassignment> getReassignments()

  Specified by:
    `getReassignments` in interface `org.kie.internal.task.api.model.Escalation`

### setReassignments

    public void setReassignments(List<org.kie.internal.task.api.model.Reassignment> reassignments)

  Specified by:
    `setReassignments` in interface `org.kie.internal.task.api.model.Escalation`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2015 JBoss by Red Hat. All Rights Reserved.